# SWFDisplayItem::setDepth

(PHP 5 < 5.3.0, PECL ming SVN)

SWFDisplayItem::setDepth — Sets z-order

### Description

SWFDisplayItem::setDepth ( int `$depth` ) : void
Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

swfdisplayitem::setdepth() sets the object's z-order to `depth`. Depth defaults to the order in which instances are created (by adding a shape/text to a movie)- newer ones are on top of older ones. If two objects are given the same depth, only the later-defined one can be moved.

The object may be a swfshape(), a swfbutton(), a swftext() or a swfsprite() object. It must have been added using the swfmovie::add().

### Return Values

No value is returned.